﻿@model eCommerce.BackOffice.Models.CheckListViewModel
@using eCommerce.Services.Model.Enums

@{
    ViewBag.Title = "Cheques";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Listado de Cheques</h1>
    <div class="page-header-actions">
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            
            @*<button type="button" class="btn btn-outline btn-primary" onclick="window.location.href = '/Checks/CheckUpdate/-1'">
                <i class="icon wb-plus" aria-hidden="true"></i>
                <span class="hidden-xs">NUEVO CHEQUE</span>
            </button>*@

            <button type="button" class="btn btn-outline btn-primary" onclick="window.location.href = '/Checks/ExportToExcel'">
                <i class="icon fa-file-excel-o" aria-hidden="true"></i>
                <span class="hidden-xs">EXCEL</span>
            </button>
        </div>
    </div>
</div>

<div class="page-content">

    <div class="panel">
        <div class="panel-body">
            <div class="row">
                @using (Html.BeginForm("Index", "Checks", FormMethod.Post, new { @class = "form-inline", @autocomplete = "off" }))
                {
                    <div class="form-group">
                        <div class="col-sm-3">
                            <select class="form-control" name="Status" id="Status" data-plugin="select2">
                                <option value="3">- Estado -</option>
                                <option value="@((int)CheckStatus.EnCartera)">En Cartera</option>
                                <option value="@((int)CheckStatus.Entregado)">Entregado</option>
                            </select>
                        </div>
                        <div class="col-sm-4">
                            <div class="input-daterange" data-plugin="datepicker">
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="icon wb-calendar" aria-hidden="true"></i>
                                    </span>
                                    <input type="text" class="form-control" id="StartingDate" name="StartingDate" value="@Model.Filter.StartingDate">
                                </div>
                                <div class="input-group">
                                    <span class="input-group-addon">al</span>
                                    <input type="text" class="form-control" id="EndingDate" name="EndingDate" value="@Model.Filter.EndingDate">
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-2">
                            <div class="input-group" style="margin-left:8px;">
                                <span class="input-group-addon"><=</span>
                                <input type="text" class="form-control" name="DaysToDue" placeholder="Días" value="@(Model.Filter.DaysToDue > 0 ? Model.Filter.DaysToDue.ToString() : "")">
                            </div>
                        </div>
                        <div class="col-sm-1 pull-left">
                            <button type="submit" class="btn btn-outline btn-primary">
                                <i class="icon fa-filter" aria-hidden="true"></i>
                                <span class="hidden-xs">Filtrar</span>
                            </button>
                        </div>
                    </div>
                }
            </div>

            <div class="clearfix" style="clear:both;height:15px;"></div>

            @Html.Partial("_CheckList", Model.Checks)

                <div class="row">
                    <div class="col-md-12">
                        <table class="table table-bordered table-hover table-striped" id="totalTable">
                            <colgroup>
                                <col class="col-sm-1">
                                <col class="col-sm-1">
                                <col class="col-sm-4">
                                <col class="col-sm-2">
                                <col class="col-sm-2">
                                <col class="col-sm-1">
                            </colgroup>
                            <thead>
                                <tr></tr>
                            </thead>
                            <tbody></tbody>
                            <tfoot>
                                <tr class="active">
                                    <td class="text-right" style="font-weight:bold;" colspan="4">TOTAL</td>
                                    @*<td><span id="chTotal">@string.Format("{0:c2}", Model.Checks.Sum(c => c.Amount).ToString("C2"))</span></td>*@
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
        </div>
    </div>

</div>

@section Scripts {

    <script type="text/javascript">

        $(document).ready(function ()
        {
            /*
            jQuery.extend(jQuery.fn.dataTableExt.oSort, {
                "currency-pre": function (a) {
                    a = (a === "-" || a === "") ? 0 : a.replace(/[^\d\-\,]/g, "");
                    return parseFloat(a);
                },

                "currency-asc": function (a, b) {
                    return a - b;
                },

                "currency-desc": function (a, b) {
                    return b - a;
                }
            });

            $.extend(jQuery.fn.dataTableExt.oSort, {
                "datetime-au-pre": function (a) {
                    var x;
                    if ($.trim(a) != '') {
                        var frDatea = $.trim(a).split(' ');
                        var frTimea = '12:12:12'.split(':');
                        var frDatea2 = frDatea[0].split('/');
                        var year = frDatea2[2];
                        var month = frDatea2[1];
                        var day = frDatea2[0];
                        var hour = frTimea[0];
                        var minute = frTimea[1];
                        var second = frTimea[2];
                        var ampm = frDatea[2];

                        x = (year + month + day + hour + minute + second) * 1;
                    } else {
                        x = 10000000000000;
                    }

                    return x;
                },

                "datetime-au-asc": function (a, b) {
                    return a - b;
                },

                "datetime-au-desc": function (a, b) {
                    return b - a;
                }
            });

            $('#checksTable').dataTable({
                aaSorting: [[1, 'desc']],
                aoColumnDefs: [
                    { "sType": "datetime-au", "aTargets": [1] },
                    { "sType": "currency", "aTargets": [5] }
                ],
            });*/

            @if (Model.Filter == null)
                {
                <text>
            $('#Status').val(1);

            </text>
            }
            else
            {
                <text>
            $('#Status').val(@Model.Filter.Status);

            if ('@Model.Filter.FilterView' != 0) {
                var filterView = $('#FilterView');
                filterView.val('@Model.Filter.FilterView');
                $('#select2-FilterView-container').text($('#FilterView option:selected').text());
            }

            </text>
            }




            $('#select2-Status-container').text($('#Status option:selected').text());

            setActionsDialogs();
        });

        function fDelete(Id) {
            $.ajax({
                url: "/Checks/CheckDelete/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR) {
                    $('.panel-body').html(data);
                    $('.dataTable').DataTable();
                    setActionsDialogs();
                    swal("Eliminado!", "", "success");
                }
            });
        }

        function setActionsDialogs() {
            $('.remove-row').on("click", function () {
                var rowId = $(this).attr("data-rowid");
                swal({
                    title: "Confirma su acción de Eliminar?",
                    text: "",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonColor: '#F26A54',
                    confirmButtonText: 'Sí, deseo elminarlo!',
                    cancelButtonText: 'Cancelar',
                    closeOnConfirm: false,
                    closeOnCancel: true
                },
                function (isConfirm) {
                    if (isConfirm) {
                        fDelete(rowId);
                    }
                });
            });
        }

    </script>

}

